Skip to main content
`Ctrl`+`K`
scipy.sparse.linalg.LinearOperator.

# rmatmat

LinearOperator.rmatmat(X)

  Adjoint matrix-matrix multiplication.

  Performs the operation y = A^H @ x where A is an MxN linear operator and x is a column vector or 1-d array, or 2-d array. The default implementation defers to the adjoint.

  Parameters:
    X{matrix, ndarray}

      A matrix or 2D array.

  Returns:
    Y{matrix, ndarray}

      A matrix or 2D array depending on the type of the input.

  Notes

  This rmatmat wraps the user-specified rmatmat routine.